.header {
  position: fixed;
  top: 0;
  left: 0;
  justify-content: flex-end;
  & .header__logo {
    display: none;
  }
}

.home-contact-button {
  position: fixed;
  z-index: 99;
  bottom: 2rem;
  right: -0.25rem;
  width: 7.75rem;
  animation: soft-bounce 2.5s infinite;
  transform-origin: center bottom;
  will-change: transform;
  @media (min-width: 768px) {
    width: 12rem;
  }
  @media (min-width: 1024px) {
    width: 16.125rem;
    right: 1rem;
  }
  @media (min-width: 1200px) {
    right: 3.75rem;
  }
}

.home-hero {
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  & .home-hero__main-view {
    position: relative;
    height: 32.5rem;
    & > img,
    & > div {
      position: absolute;      
    }
    & .home-hero__bg-dec {
      & img {
        width: 100%;
      }
      &.home-hero__bg-dec--1 {
        aspect-ratio: 1019 / 1000;
        width: 30.625rem;
        position: absolute;
        top: 1.75rem;
        left: 50%;
        transform: translateX(calc(-50% - 7.5664621677%));
      }
      &.home-hero__bg-dec--2 {
        aspect-ratio: 1019 / 1000;
        width: 29.5rem;
        position: absolute;
        top: -0.125rem;
        left: 50%;
        transform: translateX(calc(-50% - 9.5338983051%));
      }
    }
    & .home-hero__image-deer-1 {
      width: 6.25rem;
      top: -0.125rem;
      left: 2.375rem;
      animation: animal-swing 5s infinite;
      will-change: transform;
      animation-name: animal-swing;
      transform-origin: center bottom;
    }
    & .home-hero__image-deer-2 {
      position: absolute;
      width: 7.875rem;
      right: -0.75rem;
      bottom: -2.25rem;
      animation: animal-swing 5s infinite;
      will-change: transform;
      animation-name: animal-swing;
      animation-delay: -2s;
    }
    & .home-hero__image-tv {
      width: clamp(24.125rem, 54.625%, 54.625rem);
      top: 6.0625rem;
      left: 50%;
      transform: translateX(-50%);
    }
    & .home-hero__logo {
      position: absolute;
      width: 81%;
      top: 0;
      left: 50%;
      transform: translate(-50%, -30%);
    }
    & .home-hero__typo {
      width: clamp(21.875rem, 76.75%, 76.75rem);
      bottom: 0;
      left: 0.75rem;
    }
    @media (min-width: 768px) {
      height: 56.25rem;
      & .home-hero__bg-dec {
        &.home-hero__bg-dec--1 {
          width: 63.6875rem;
        }
        &.home-hero__bg-dec--2 {
          width: 82.9375rem;
          top: -10.75rem;
          left: 50%;
          transform: translateX(calc(-50% - 9.5338983051%));
        }
      }
      & .home-hero__image-deer-1 {
        width: 12.5rem;
        top: 18.125rem;
        left: 11.1875rem;
      }
      & .home-hero__image-deer-2 {
        width: 18.375rem;
        right: -13.5rem;
        bottom: 8rem;
      }
      & .home-hero__image-tv {
        width: 41.75rem;
        top: 12.5rem;
      }
      & .home-hero__logo {
        transform: translate(-50%, -60%);
      }
      & .home-hero__typo {
        bottom: -3rem;
        left: 2.125rem;
      }
    }
    @media (min-width: 1200px) {
      & .home-hero__bg-dec {
        &.home-hero__bg-dec--1 {
          width: 63.6875rem
          top: -0.875rem;
          left: 50%;
          transform: translateX(calc(-50% + 3.125rem));
        }
        &.home-hero__bg-dec--2 {
          width: 82.9375rem;
          top: -10.75rem;
          left: -1.25rem;
          transform: none;
        }
      }
      & .home-hero__image-deer-1 {
        width: 12.5rem;
        top: 18.125rem;
        left: 11.1875rem;
      }
      & .home-hero__image-deer-2 {
        width: 18.375rem;
        right: -13.5rem;
        bottom: 8rem;
      }
      & .home-hero__image-tv {
        width: 54.625rem;
      }
      & .home-hero__logo {
        transform: translate(-50%, -60%);
      }
      & .home-hero__typo {
        left: 2.125rem;
      }
    }
  }
  & .makari-circle {
    width: 9.25rem;
    margin-left: auto;
    margin-right: auto;
    animation: rotate-infinite 15s linear infinite;
    will-change: transform;
    @media (min-width: 768px) {
      width: 15rem;
    }
    @media (min-width: 1024px) {
      width: 18rem;
    }
    @media (min-width: 1200px) {
      width: 22.75rem;
    }
  }
  
  & .home-hero__marquee-text {
    z-index: 1;
    overflow: auto;
    display: flex;
    background-color: var(--snow);
    border-top: 4px solid var(--ink);
    border-bottom: 4px solid var(--ink);
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    margin-top: -2.5rem;
    & p {
      will-change: transform;
      display: flex;
      align-items: center;
      flex-shrink: 0;
      animation: scroll-left 20s linear infinite;
      white-space: nowrap;
      letter-spacing: 0;
      font-weight: 700;
      font-size: 0.75rem;
      }
    @media (min-width: 768px) {
      padding-top: 0.75rem;
      padding-bottom: 0.75rem;
      & p {
        font-size: 2rem;
      }
    }
    @media (min-width: 1024px) {
      padding-top: 1rem;
      padding-bottom: 1rem;
      & p {
        font-size: 2.5rem;
      }
    }
    @media (min-width: 1200px) {
      padding-top: 1rem;
      padding-bottom: 1rem;
      & p {
        font-size: 3rem;
      }
    }
  }
}

.home-intro-bg-dec {
  position: absolute;
  & img {
    width: 100%;
  }
  &.home-intro-bg-dec--1 {
    aspect-ratio: 245 / 251;
    width: clamp(15.125rem, 30.625%, 30.625rem);
    top: 0;
    right: 0;
    transform: translate(10.2040816327%, -10%);
  }
  &.home-intro-bg-dec--2 {
    aspect-ratio: 267 / 365;
    width: clamp(13.8125rem, 33.375%, 33.375rem);
    bottom: 0;
    left: 0;
    transform: translate(-20.2247191011%, 3.2876712329%);
  }
}

.photoframe {
  position: relative;
  z-index: 0;
  &::after {
    content: "";
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-position: center;
    background-size: contain;
    z-index: 1;
    pointer-events: none;
    background-repeat: no-repeat;
    background-size: 100% 100%;
  }
  
  & img {
    position: absolute;
    object-fit: cover;
  }
  
  &.photoframe--tv {
    aspect-ratio: 80 / 57;
    &::after {
      background-image: url("/system_panel/uploads/images/photoframe-tv.png");
    }
    & img {
      left: 5.918125%;
      top: 7.01754386%;
      width: 73.375%;
      height: 77.01754386%;
    }
  }
  &.photoframe--microwave {
    aspect-ratio: 600 / 311;
    width: 174.3333333333%;
    transform: rotate(-5.5deg) translate(3.5372848948%, -4.4280442804%);
    align-self: center;
    &::after {
      background-image: url("/system_panel/uploads/images/photoframe-microwave.png");
    }
    & img {
      left: 10.33333333%;
      top: 18.64951768%;
      width: 56.25%;
      height: 62.05787781%;
    }
  }
  &.photoframe--washer {
    aspect-ratio: 600 / 371;
    width: 196.8333333333%;
    transform: rotate(3.1deg) translate(5.0804403048%, 5.7534246575%);
    align-self: flex-end;
    &::after {
      background-image: url("/system_panel/uploads/images/photoframe-washer.png");
    }
    & img {
      right: 13.25%;
      top: 26.01078167%;
      width: 31.83333333%;
      height: 53.09973046%;
    }
  }
  &.photoframe--monitor {
    aspect-ratio: 250 / 223;
    width: 121.8333333333%;
    transform: rotate(5.4deg) translate(1.3679890561%, 1.9938650307%);
    align-self: center;
    &::after {
      background-image: url("/system_panel/uploads/images/photoframe-monitor.png");
    }
    & img {
      left: 10.4%;
      top: 11.65919283%;
      width: 79%;
      height: 68.16143498%;
    }
  }
}

.home-great-bgdec {
  position: absolute;
  & img {
    width: 100%;
  }
  &.home-great-bgdec--1 {
    aspect-ratio: 239 / 280;
    width: clamp(14.25rem, 29.8125%, 29.8125rem);
    right: 0;
    bottom: 0;
    transform: translate(25.3668763103%, -7.70609319%);
  }
  &.home-great-bgdec--2 {
    width: clamp(15rem, 29.3125%, 29.3125rem);
    bottom: -1rem;
    left: 0;
    transform: translateX(-12.7931769723%);
  }
}

.swiper:not(.swiper-initialized) {
  & .swiper-wrapper {
    display: flex;
    overflow: auto;
    & .swiper-slide {
      min-width: 40%;
    }
  }
}

.home-business-slider {
  padding-top: 6rem;
  margin-top: -6rem;
  & .swiper-wrapper {
    align-items: stretch;
  }
  & .swiper-slide {
    height: auto;
  }
}

.home-business-bubble {
  position: absolute;
  bottom: 1.5rem;
  left: 50%;
  transform: translateX(-50%);
  @media (min-width: 768px) {
    left: auto;
    transform: none;
  }
  & img {
    width: 100%;
    animation: permanent-swing 2s infinite;
    transform-origin: center center;
    will-change: transform;
    display: inline-block;
  }
  &.home-business-bubble--1 {
    width: 13rem;
    @media (min-width: 768px) {
      width: 20rem;
      bottom: -0.25rem;
      left: 50%;
    }
    @media (min-width: 1200px) {
      width: 24.6875rem;
      bottom: -0.75rem;
      left: 40%;
    }
  }
  &.home-business-bubble--2 {
    width: 15.6875rem;
    & img {
      animation-delay: 250ms;
    }
    @media (min-width: 768px) {
      width: 25rem;
      bottom: -0.25rem;
      left: -85%;
    }
    @media (min-width: 1200px) {
      width: 30.5rem;
      bottom: -1.25rem;
      left: -100%;
    }
  }
  &.home-business-bubble--3 {
    width: 18.5625rem;
    @media (min-width: 768px) {
      width: 23rem;
      bottom: 1.5rem;
      left: -5%;
    }
    @media (min-width: 1200px) {
      width: 35.9375rem;
      bottom: 1rem;
      left: -25%;
    }
  }
  &.home-business-bubble--4 {
    width: 15.125rem;
    & img {
      animation-delay: 250ms;
    }
    @media (min-width: 768px) {
      width: 25rem;
      bottom: -0.25rem;
      left: -85%;
    }
    @media (min-width: 1200px) {
      width: 29.625rem;
      bottom: -1.25rem;
      left: -105%;
    }
  }
  &.home-business-bubble--5 {
    width: 18.0625rem;
    @media (min-width: 768px) {
      width: 23rem;
      bottom: 1rem;
      left: -5%;
    }
    @media (min-width: 1200px) {
      width: 35.25rem;
      bottom: 0.5rem;
      left: -25%;
    }
  }
  &.home-business-bubble--6 {
    width: 17.875rem;
    & img {
      animation-delay: 250ms;
    }
    @media (min-width: 768px) {
      width: 23rem;
      bottom: 1.5rem;
      left: 0;
    }
    @media (min-width: 1200px) {
      width: 34.3125rem;
      bottom: 1.5rem;
      left: -35%;
    }
  }
  &.home-business-bubble--7 {
    width: 18.0625rem;
    @media (min-width: 768px) {
      width: 23rem;
      bottom: 1rem;
      left: -5%;
    }
    @media (min-width: 1200px) {
      width: 35.25rem;
      bottom: 0.75rem;
      left: -25%;
    }
  }
}

.home-business-illust {
  position: absolute;
  & img {
    width: 100%;
  }  
  &.home-business-illust--1 {
    width: clamp(9.25rem, 26.917989418%, 25.4375rem);
    top: 0;
    left: 0;
    transform: translate(-24.57002457%, -50%);
    @media (min-width: 1200px) {
      transform: translate(-24.57002457%, -82.7777777778%);
    }
  }
  &.home-business-illust--2 {
    width: clamp(11.75rem, 30.753968254%, 29.0625rem);
    top: 0;
    right: 0;
    transform: translate(7.7419354839%, -44%);
    @media (min-width: 1200px) {
      transform: translate(7.7419354839%, -49.0909090909%);
    }
  }
}

.home-blog-list.blog-list {
  & .webgene-blog {
    display: flex;
    flex-direction: row;
    gap: 0;
  }
  
  & .webgene-no-items {
    color: var(--snow);
  }
  & .webgene-item {
    transition: transform 250ms ease;
    &:nth-child(3n-2) {
      transform: rotate(2.9deg);
    }
    &:nth-child(3n-1) {
      transform: rotate(-1.9deg);
    }
    &:nth-child(3n) {
      transform: rotate(7.4deg);
    }
    &:hover {
      transform: rotate(0);
      & .thumbnail {
        transform: rotate(0);
      }
    }
  }
}

.home-blog-image {
  position: absolute;
  & img {
    width: 100%;
  }
  &.home-blog-image--1 {
    width: clamp(15.875rem, 26.75%, 22.75rem);
    bottom: 0;
    left: 0;
    transform: translate(-17.5644028103%, -8.1632653061%) rotate(-8deg);
  }
  &.home-blog-image--2 {
    width: clamp(11.375rem, 25.125%, 25.125rem);
    bottom: 0;
    right: 0;
    transform: translate(20.1492537313%, -1.1086474501%) rotate(8deg);
  }
}

.insta1 {
  & .webgene-blog {
    display: grid;
    gap: 0.625rem;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    @media (min-width: 768px) {
      grid-template-columns: repeat(3, minmax(0, 1fr));
    }
    @media (min-width: 1024px) {
      grid-template-columns: repeat(4, minmax(0, 1fr));
    }
  }
  
  & .webgene-item {
    transition: transform 250ms ease;
    &:nth-child(1) {
      transform: rotate(4.3deg);
    }
    &:nth-child(2) {
      transform: rotate(-6.3deg);
    }
    &:nth-child(3) {
      transform: rotate(3.6deg);
    }
    &:nth-child(4) {
      transform: rotate(-1.4deg);
    }
    &:nth-child(5) {
      transform: rotate(-3deg);
    }
    &:nth-child(6) {
      transform: rotate(2.7deg);
    }
    &:nth-child(7) {
      transform: rotate(-3.9deg);
    }
    &:nth-child(8) {
      transform: rotate(2.2deg);
    }
    &:hover {
      transform: rotate(0);
    }
  }
}

.home-insta-title {
  position: relative;
  align-self: center;
  color: transparent;
  background-color: var(--neon-green);
  background-image: var(--noise-neon-green);
  -webkit-background-clip: text;
  background-clip: text;
  line-height: 1.15;
  letter-spacing: 0;
  font-weight: 900;
  font-size: 2.25rem;
  &::before,
  &::after {
    content: "";
    aspect-ratio: 126 / 107;
    width: 0.925em;
    background-image: url(/system_panel/uploads/images/attention-mark.svg);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    position: absolute;
  }
  &::before {
    top: -0.5em;
    left: -0.8333333333em;
  }
  &::after {
    bottom: -0.45em;
    right: -0.9166666667em;
    transform: rotate(151deg);
  }
  @media (min-width: 768px) {
    font-size: 4rem;
  }
  @media (min-width: 1024px) {
    font-size: 6rem;
  }
  @media (min-width: 1200px) {
    font-size: 7.5rem;
  }
}














